Modulo di Azure Stack 1.7.2Azure Stack Module 1.7.2

Requirements:Requirements:

La versione minima supportata di Azure Stack è la 1904.Minimum supported Azure Stack version is 1904.

Note: Per le versioni precedenti di Azure Stack, vedere Installare PowerShell per Azure StackNote: For earlier versions of Azure Stack check Install Azure Stack Powershell

InstallaInstall

# Remove previous versions of AzureStack and AzureRM modules
Get-Module -Name Azs.* -ListAvailable | Uninstall-Module -Force -Verbose
Get-Module -Name Azure* -ListAvailable | Uninstall-Module -Force -Verbose

# Install and import the API Version Modules required by Azure Stack into the current PowerShell session.
Install-Module -Name AzureRM -RequiredVersion 2.5.0

# Install Azure Stack Admin Module
Install-Module -Name AzureStack -RequiredVersion 1.7.2

Note sulla versioneRelease Notes

  • Supportato con l'aggiornamento 1904Supported with 1904 update
  • Questa è una versione con modifiche che causano interruzioni.This a breaking change release. Per informazioni dettagliate, fare riferimento a https://aka.ms/azspshmigration170For details on the breaking changes, refer to https://aka.ms/azspshmigration170
  • Modifica che causa un'interruzione: passaggio dal backup alla modalità di crittografia basata su certificato.Breaking change: Backup changes to cert-based encryption mode. Il supporto delle chiavi simmetriche è deprecato.Support for symmetric keys is deprecated.
  • Per informazioni dettagliate, fare riferimento a https://aka.ms/azspshmigration170For details on the breaking changes, refer to https://aka.ms/azspshmigration170
  • Modulo Azs.Storage.AdminAzs.Storage.Admin Module
  • Correzione dei bug - In assenza di valori, la nuova quota di archiviazione usa quelli predefiniti.Bug fix - New Storage Quota uses defaults if none provided.